Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Interface TemplateWizard.Iterator

All Superinterfaces:
  Node.Cookie, Serializable, WizardDescriptor.Iterator

Enclosing class:
  TemplateWizard

    public static interface TemplateWizard.Iterator

extends WizardDescriptor.Iterator, Serializable, Node.Cookie

The interface for custom iterator. Enhances to WizardDescriptor.Iterator by serialization and ability to instantiate the object.

All Panels provided by this iterator will receive a TemplateWizard as the settings object and they are encourage to store its data by the use of `putProperty` method and read it using `getProperty`.

Implements `Node.Cookie` since version 2.13

Method Summary
`void` | `initialize(TemplateWizard wiz)` Initializes the iterator after it is constructed.
`Set` | `instantiate(TemplateWizard wiz)` Instantiates the template using information provided by the wizard.
`void` | `uninitialize(TemplateWizard wiz)` Informs the Iterator that the TemplateWizard finished using the Iterator.

Methods inherited from interface org.openide.WizardDescriptor.Iterator
`addChangeListener, current, hasNext, hasPrevious, name, nextPanel, previousPanel, removeChangeListener`

Method Detail

### instantiate

    Set instantiate(TemplateWizard wiz)
                    throws IOException

  Instantiates the template using information provided by the wizard. If instantiation fails then wizard remains open to enable correct values.

  Parameters:
    `wiz` - the wizard
  Returns:
    set of data objects that have been created (should contain at least one)
  Throws:
    `IOException` - if the instantiation fails

### initialize

    void initialize(TemplateWizard wiz)

  Initializes the iterator after it is constructed. The iterator can for example obtain the `target chooser` from the wizard if it does not wish to provide its own.

  Parameters:
    `wiz` - template wizard that wishes to use the iterator

### uninitialize

    void uninitialize(TemplateWizard wiz)

  Informs the Iterator that the TemplateWizard finished using the Iterator. The main purpose of this method is to perform cleanup tasks that should not be left on the garbage collector / default cleanup mechanisms.

  Parameters:
    `wiz` - wizard which is no longer being used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.